## libofx 0.10.9

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Dawid Wróbel <me@dawidwrobel.com>
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.12)

if (${CMAKE_VERSION} VERSION_LESS 3.25.0)
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
endif ()

include(GNUInstallDirs)
include(CMakeDependentOption)
include(FeatureSummary)

# set-up tool features; this needs to be done early to let the vcpkg auto-download all the optional dependencies
option(ENABLE_ICONV "Build with ICONV" ON)
add_feature_info("iconv" ENABLE_ICONV "Enables ICONV support for encoding conversion")
if (ENABLE_ICONV)
    list(APPEND VCPKG_MANIFEST_FEATURES "iconv")
endif ()

option(ENABLE_OFXCONNECT "Enable ofxconnect tool" ON)
add_feature_info("ofxconnect" ENABLE_OFXCONNECT "Enables ofxconnect utility which allows to test OFX Direct Connect")
if (ENABLE_OFXCONNECT)
    list(APPEND VCPKG_MANIFEST_FEATURES "ofxconnect")
endif ()

option(ENABLE_OFXDUMP "Enable ofxdump tool" ON)
add_feature_info("ofxdump" ENABLE_OFXDUMP "Enables ofxdump utility which prints, in human readable form, everything the library understands about a file")
if (ENABLE_OFXDUMP)
    list(APPEND VCPKG_MANIFEST_FEATURES "ofxdump")
endif ()

option(ENABLE_OFX2QIF "Enable ofx2qif tool" ON)
add_feature_info("ofx2qif" ENABLE_OFX2QIF "Enables OFX file to QIF (Quicken Interchange Format) file converter")
if (ENABLE_OFX2QIF)
    list(APPEND VCPKG_MANIFEST_FEATURES "ofx2qif")
endif ()

# actually set up the project
project(libofx)

# This is the project version
set(LIBOFX_MAJOR_VERSION 0)
set(LIBOFX_MINOR_VERSION 10)
set(LIBOFX_MICRO_VERSION 9)
set(LIBOFX_VERSION_RELEASE_STRING ${LIBOFX_MAJOR_VERSION}.${LIBOFX_MINOR_VERSION}.${LIBOFX_MICRO_VERSION})

# This is the library version (SONAME) so affects ABI
# LIBOFX_LIBRARY_SONAME must be changed when ABI is broken (backwards compat)
# LIBOFX_LIBRARY_VERSION must be changed if just adding new functions and such (backwards compat not broken)
# Note that these are used by write_basic_package_version_file() to generate LibOFXConfigVersion.cmake
set(LIBOFX_LIBRARY_SONAME 7)
set(LIBOFX_LIBRARY_VERSION ${LIBOFX_LIBRARY_SONAME}.0.4)

# If no build type is set, use "Release with Debug Info"
if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif (NOT CMAKE_BUILD_TYPE)
include(CTest)

# locate required dependencies
find_package(OpenSP)
set_package_properties(OpenSP PROPERTIES TYPE REQUIRED PURPOSE "The underlying library that the LibOFX builds upon, we cannot build without it!")

# locate optional dependencies
if (ENABLE_OFXCONNECT)
    find_package(CURL)
    set_package_properties(CURL PROPERTIES TYPE REQUIRED PURPOSE "ENABLE_OFXCONNECT is ON, so we need curl for the ofxconnect tool to perform downloading of the statements")
    if (CURL_FOUND)
        set(HAVE_LIBCURL 1)
    endif ()

    find_package(PkgConfig)
    set_package_properties(PkgConfig PROPERTIES TYPE REQUIRED PURPOSE "ENABLE_OFXCONNECT is ON, so we need PkgConfig to locate the libxml++ library")

    if (PkgConfig_FOUND)
        pkg_check_modules(LIBXMLPP REQUIRED IMPORTED_TARGET libxml++-2.6>=2.6)
        #TODO: if not found, handle the feature_summary by hand somehow
    endif ()
endif ()

if (ENABLE_ICONV)
    find_package(Iconv)
    set_package_properties(Iconv PROPERTIES TYPE REQUIRED PURPOSE "ENABLE_ICONV is on, so we need Iconv to build")

    if (Iconv_FOUND)
        set(HAVE_ICONV 1)
        include(CheckCXXSourceCompiles)
        set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${Iconv_INCLUDE_DIRS})
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${Iconv_LIBRARIES})
        check_cxx_source_compiles(
                "
            #include <iconv.h>
            int main(){
            const char* inbuf = 0;
            size_t inbytesleft = 0;
            char* outbuf = 0;
            size_t outbytesleft = 0;
            iconv(0, &inbuf, &inbytesleft, &outbuf, &outbytesleft);
            return 0;
            }
            "
                HAVE_ICONV_CONST
        )
    endif ()
endif ()

# Build a shared lib by default, set this to OFF to build statically
option(BUILD_SHARED_LIBS "Decides whether to build ${CMAKE_PROJECT_NAME} as a shared or static library" ON)
add_feature_info("shared" BUILD_SHARED_LIBS "Enables compiling ${CMAKE_PROJECT_NAME} as a shared library (as opposed to statically)")

if (BUILD_SHARED_LIBS AND MSVC)
    add_compile_definitions(LIBOFX_DLL=1)
endif ()

# set up SP_MULTI_BYTE
set(FORCE_OPENSP_MULTIBYTE AUTO CACHE STRING "Whether to let FindOpenSP CMake module auto-detect the SP_MULTIBYTE value (leave 'AUTO'), or to override it with 'ON' or 'OFF'")
set_property(CACHE FORCE_OPENSP_MULTIBYTE PROPERTY STRINGS AUTO ON OFF)

# CheckCXXSymbolExists returns "" if symbol is not found
if (NOT OpenSP_MULTI_BYTE)
    set(OpenSP_MULTI_BYTE 0)
endif()

message(CHECK_START "Setting up the SP_MULTI_BYTE")
set(SP_MULTI_BYTE OpenSP_MULTI_BYTE)
if (NOT FORCE_OPENSP_MULTIBYTE STREQUAL "AUTO")
    if (NOT FORCE_OPENSP_MULTIBYTE EQUAL OpenSP_MULTI_BYTE)
        message(CHECK_PASS "detected by FindOpenSP to be ${OpenSP_MULTI_BYTE}, but overriding to ${FORCE_OPENSP_MULTIBYTE}, as set by FORCE_OPENSP_MULTIBYTE. If this is not indeded, it can cause wide character processing issues!")
        set(SP_MULTI_BYTE ${FORCE_OPENSP_MULTIBYTE})
    else ()
        message(CHECK_PASS "detected by FindOpenSP to be ${OpenSP_MULTI_BYTE}, with FORCE_OPENSP_MULTIBYTE also set to ${FORCE_OPENSP_MULTIBYTE}")
    endif ()
else ()
    message(CHECK_PASS "detected by FindOpenSP to be ${OpenSP_MULTI_BYTE}. Use FORCE_OPENSP_MULTIBYTE to set a different value")
endif ()

# Disable CRT warnings
if (MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif ()

# create the libofx.h file out of the libofx.h.in
configure_file("inc/libofx.h.in" "${CMAKE_CURRENT_BINARY_DIR}/inc/libofx.h")

# create the config.h file out of the config.h.cmake
configure_file("config.h.cmake" "${CMAKE_CURRENT_BINARY_DIR}/config.h")

# Handle the getopt in a cross-platform way
add_subdirectory(getopt)

# libofx itself
add_subdirectory(lib)

# ofxconnect
if (ENABLE_OFXCONNECT)
    add_subdirectory(ofxconnect)
endif ()

# ofxdump
if (ENABLE_OFXDUMP)
    add_subdirectory(ofxdump)
endif ()

# ofx2qif
if (ENABLE_OFX2QIF)
    add_subdirectory(ofx2qif)
endif ()

# TODO: wire up docs
# TODO: wire up tests

# set up vcpkg integration
option(ENABLE_VCPKG_INTEGRATION "Enable vcpkg integration" OFF)
add_feature_info("vcpkg" ENABLE_VCPKG_INTEGRATION "Enables integration with vcpkg, a C++ library manager")

if (ENABLE_VCPKG_INTEGRATION AND DEFINED ENV{VCPKG_ROOT} AND NOT DEFINED CMAKE_TOOLCHAIN_FILE)
    set(CMAKE_TOOLCHAIN_FILE "$ENV{VCPKG_ROOT}/scripts/buildsystems/vcpkg.cmake" CACHE STRING "")
    message(STATUS "VCPKG found: $ENV{VCPKG_ROOT}")
    message(STATUS "Using VCPKG integration")
    message(STATUS "VCPKG_MANIFEST_FEATURES: ${VCPKG_MANIFEST_FEATURES}")
elseif (DEFINED CMAKE_TOOLCHAIN_FILE)
    message(STATUS "Using toolchain: ${CMAKE_TOOLCHAIN_FILE}")
    if (CMAKE_TOOLCHAIN_FILE MATCHES "vcpkg.cmake")
        message(STATUS "Toolchain uses VCPKG integration")
        message(STATUS "VCPKG_MANIFEST_FEATURES: ${VCPKG_MANIFEST_FEATURES}")
        set(ENABLE_VCPKG_INTEGRATION ON)
    endif ()
endif ()

# TODO: once Autotools build stuff is gone, remove these and set them directly in libofx.pc.in itself
set(OPENSPLIBS ${OpenSP_LIBRARIES})
set(OPENSPINCLUDES ${OpenSP_INCLUDE_DIRS})
set(VERSION ${LIBOFX_VERSION_RELEASE_STRING})
set(prefix "${CMAKE_INSTALL_PREFIX}")
set(exec_prefix "\${prefix}")
set(libdir "\${prefix}/${CMAKE_INSTALL_LIBDIR}")
set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")

# create the libofx.pc pkg-config file out of the libofx.pc.in
configure_file("libofx.pc.in" "${CMAKE_BINARY_DIR}/libofx.pc")

include(CMakePackageConfigHelpers)
configure_package_config_file(LibOFXConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibOFXConfig.cmake
        INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/libofx
        PATH_VARS CMAKE_INSTALL_INCLUDEDIR CMAKE_INSTALL_LIBDIR CMAKE_INSTALL_BINDIR CMAKE_INSTALL_DATADIR
        )
write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/LibOFXConfigVersion.cmake
        VERSION ${LIBOFX_LIBRARY_VERSION}
        COMPATIBILITY SameMajorVersion
        )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibOFXConfig.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/LibOFXConfigVersion.cmake
            ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/FindOpenSP.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/libofx
        )

install(DIRECTORY dtd DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/libofx FILES_MATCHING PATTERN "*.dtd" PATTERN "*.dcl")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/inc/libofx.h" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libofx)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libofx.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(EXPORT LibOFXTargets
        FILE LibOFXTargets.cmake
        NAMESPACE libofx::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/libofx
        )

feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND
        DESCRIPTION "The following REQUIRED packages have not been found:")

feature_summary(WHAT OPTIONAL_PACKAGES_NOT_FOUND
        DESCRIPTION "The following OPTIONAL packages have not been found:")

feature_summary(WHAT ENABLED_FEATURES
        DESCRIPTION "The following features have been enabled:")

feature_summary(WHAT DISABLED_FEATURES
        DESCRIPTION "The following features have been disabled:")

# ############################################################
# Package creation rules

if(UNIX)
  set(CPACK_GENERATOR "TGZ")
  set(CPACK_SOURCE_GENERATOR "TGZ")
endif()

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "This library is a client and file format implementation for the financial format OFX (Open Financial Exchange)")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_VERSION_MAJOR ${LIBOFX_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LIBOFX_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LIBOFX_MICRO_VERSION})
set(CPACK_SOURCE_IGNORE_FILES "/build.*/;/\\\\.git/;.*~;\\\\.vscode;\\\\.github")

include (CPack)

=== lib/CMakeLists.txt ===
set(ofx_SRCS
        messages.cpp
        ofx_utilities.cpp
        file_preproc.cpp
        context.cpp
        ofx_preproc.cpp
        ofx_container_generic.cpp
        ofx_container_main.cpp
        ofx_container_security.cpp
        ofx_container_statement.cpp
        ofx_container_account.cpp
        ofx_container_transaction.cpp
        ofx_container_position.cpp
        ofx_containers_misc.cpp
        ofx_request.cpp
        ofx_request_accountinfo.cpp
        ofx_request_statement.cpp
        ofx_sgml.cpp
        ofc_sgml.cpp
)

set(ofx_HEADERS
        messages.hh
        ofx_preproc.hh
        file_preproc.hh
        context.hh
        ofx_sgml.hh
        ofc_sgml.hh
        ofx_aggregate.hh
        ofx_error_msg.hh
        ofx_containers.hh
        ofx_request.hh
        ofx_request_accountinfo.hh
        ofx_request_statement.hh
        ofx_utilities.hh
        tree.hh
)

if (WIN32)
    set(ofx_SRCS ${ofx_SRCS} win32.cpp)
    set(ofx_HEADERS ${ofx_HEADERS} win32.hh)
endif ()

add_library(libofx ${ofx_SRCS} ${ofx_HEADERS})
set_target_properties(libofx PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
set_target_properties(libofx PROPERTIES SOVERSION ${LIBOFX_LIBRARY_SONAME})
set_target_properties(libofx PROPERTIES VERSION ${LIBOFX_LIBRARY_VERSION})
set_target_properties(libofx PROPERTIES PREFIX "")

target_link_libraries(libofx OpenSP::OpenSP)
target_include_directories(libofx BEFORE
        PUBLIC $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}/inc> $<INSTALL_INTERFACE:include>
        PRIVATE ${CMAKE_BINARY_DIR}
)
target_compile_definitions(libofx PRIVATE IN_LIBOFX=1 MAKEFILE_DTD_PATH="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/libofx/dtd/")

if (CMAKE_COMPILER_IS_GNUCXX)
    set_target_properties(libofx PROPERTIES CXX_VISIBILITY_PRESET hidden)
endif (CMAKE_COMPILER_IS_GNUCXX)

if (MSVC)
    set_target_properties(libofx PROPERTIES OUTPUT_NAME "ofx")
endif ()

if (Iconv_FOUND)
    target_link_libraries(libofx Iconv::Iconv)
endif ()

install(TARGETS libofx
        EXPORT LibOFXTargets
        LIBRARY
        DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

=== ofx2qif/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Dawid Wróbel <me@dawidwrobel.com>
# SPDX-License-Identifier: GPL-2.0-or-later

set(ofx2qif_SRCS
        ofx2qif.c
)

add_executable(ofx2qif ${ofx2qif_SRCS})
target_link_libraries(ofx2qif libofx)

install(TARGETS ofx2qif RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== ofxconnect/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Dawid Wróbel <me@dawidwrobel.com>
# SPDX-License-Identifier: GPL-2.0-or-later

set(ofxconnect_SRCS
        cmdline.c
        ofxconnect.cpp
        ofxpartner.cpp
        nodeparser.cpp
)

# required by libxml++
if (CMAKE_CXX_STANDARD LESS 11)
    set(CMAKE_CXX_STANDARD 11)
endif()

add_executable(ofxconnect ${ofxconnect_SRCS})
target_link_libraries(ofxconnect libofx CURL::libcurl PkgConfig::LIBXMLPP)
target_compile_definitions(ofxconnect PRIVATE
        CMDLINE_PARSER_PACKAGE="ofxconnect"
        CMDLINE_PARSER_PACKAGE_NAME="ofxconnect"
        CMDLINE_PARSER_VERSION="${LIBOFX_VERSION_RELEASE_STRING}"
)

if (TARGET getopt)
    target_link_libraries(ofxconnect getopt)
endif ()

install(TARGETS ofxconnect RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== ofxdump/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Dawid Wróbel <me@dawidwrobel.com>
# SPDX-License-Identifier: GPL-2.0-or-later

set(ofxdump_SRCS
        cmdline.c
        ofxdump.cpp
)

add_executable(ofxdump ${ofxdump_SRCS})
target_link_libraries(ofxdump libofx)
target_compile_definitions(ofxdump PRIVATE CMDLINE_PARSER_PACKAGE="ofxdump"
        CMDLINE_PARSER_PACKAGE_NAME="ofxdump"
        CMDLINE_PARSER_VERSION="${LIBOFX_VERSION_RELEASE_STRING}"
)

if (TARGET getopt)
    target_link_libraries(ofxdump getopt)
endif ()

install(TARGETS ofxdump RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

####################
### Add tests

# Just a simple check that we can call the exe
add_test (NAME call-ofxdump COMMAND ofxdump)

# This is the list of sample files that fail
set (SAMPLE_OFX_FILENAMES_FAILING
  failing-ofx-file1.xml
  failing-ofx-file2.xml
  ofx-2.1.1-sect-13.13.ofx
  ofx_sample_files/downcast.ofx
  ofx_sample_files/heap-buffer-overflow-1.ofx
  ofx_sample_files/heap-buffer-overflow-2.ofx
  ofx_sample_files/null-ptr-deref-1.ofx
  ofx_sample_files/null-ptr-deref-2.ofx
  ofx_sample_files/use-after-free.ofx
)
# This is the list of all sample files (good and fail)
set (SAMPLE_OFX_FILENAMES
  another-example.xml
  example-listing1.xml
  example-listing2.xml
  ofx-2.1.1-sect-13.12.ofx
  ofx-2.1.1-sect-16.5.3.2.ofx
  ofx-2.1.1-sect-16.5.4.2.ofx
  ofx-2.1.1-sect-16.5.6.2.ofx
  ofx-2.1.1-sect-16.5.6.5.ofx
  ofx-2.1.1-sect-8.5.5.ofx
  ofx_spec160_stmtrs_example.sgml
  ofx_spec201_stmtrs_example.xml
  ${SAMPLE_OFX_FILENAMES_FAILING}
)
# Add a test for each file
foreach (fname ${SAMPLE_OFX_FILENAMES})
  set (_testname "test-${fname}")
  add_test (NAME ${_testname} COMMAND ofxdump "${CMAKE_SOURCE_DIR}/doc/ofx_sample_files/${fname}")
  set_property (TEST ${_testname} PROPERTY ENVIRONMENT "OFX_DTD_PATH=${CMAKE_SOURCE_DIR}/dtd")
endforeach ()

# And for the failing file tests, mark them as failing
foreach (fname ${SAMPLE_OFX_FILENAMES_FAILING})
  set (_testname "test-${fname}")
  set_property (TEST ${_testname} PROPERTY WILL_FAIL true)
endforeach ()

=== debian/changelog ===
libofx (1:0.10.9-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version 0.10.9
  * Update debian/copyright

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 10 Nov 2022 10:59:51 +0100

=== debian/control ===
Source: libofx
Maintainer: Dylan Aïssi <daissi@debian.org>
Section: libs
Priority: optional
Build-Depends: curl,
               debhelper-compat (= 13),
               doxygen,
               gengetopt,
               help2man,
               libcurl4-gnutls-dev,
               libosp-dev,
               libxml++2.6-dev,
               perl
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/libofx
Vcs-Git: https://salsa.debian.org/debian/libofx.git
Homepage: https://github.com/libofx/libofx
Rules-Requires-Root: no

Package: libofx7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: ofx
Description: library to support the Open Financial Exchange format
 Open Financial Exchange is an open standard for exchanging financial
 information. Using this library a program can enable support for
 common financial transactions such as bill payment, accessing account
 information and investment tracking.

Package: libofx-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev | libc-dev,
         libofx7 (= ${binary:Version}),
         libosp-dev,
         ${misc:Depends}
Suggests: libofx-doc
Description: development package for libofx7
 This package provides header files and related support for developing
 packages that use libofx7, a library to support the Open Financial Exchange
 format.
 .
 Open Financial Exchange is an open standard for exchanging financial
 information. Using this library a program can enable support for
 common financial transactions such as bill payment, accessing account
 information and investment tracking.

Package: libofx-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: libofx-dev (>= ${source:Version})
Description: documentation for libofx7
 This package provides HTML documentation and sample OFX files for developing
 packages using libofx7, a library to support the Open Financial Exchange
 format.
 .
 Open Financial Exchange is an open standard for exchanging financial
 information. Using this library a program can enable support for
 common financial transactions such as bill payment, accessing account
 information and investment tracking.

Package: ofx
Architecture: any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open Financial Exchange programs
 This package contains programs that implement a primitive interface for
 exchanging financial information using Open Financial Exchange. More
 sophisticated access is normally done through programs using the libofx
 library rather than with the programs here.

=== debian/rules ===
#!/usr/bin/make -f

# Name of the shared library package
PACKNAME=libofx7

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel
# The libofx makefile seems to be non safe for paralleling at least on powerpc arch.
# See build log of 1:0.9.9 in experimental.

# Allow our shared data (DTDs, etc) to coexist among multiple installations
# of different soname revisions of the same library
override_dh_auto_configure:
	dh_auto_configure -- --datadir=/usr/share/$(PACKNAME)

override_dh_auto_build:
	dh_auto_build
	## Build doxygen doc
	make -C doc/ doc

override_dh_installman:
	## Generate the ofx2qif manual page now
	pod2man debian/ofx2qif.pod --section=1 --center="User Commands" > debian/ofx2qif.1
	dh_installman
